# Class TCEFOAuth2Helper

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOAuth2Helper

## Declaration

`type TCEFOAuth2Helper = class(TObject)`

## Description

This item has no description.

## Hierarchy

- TObject
- TCEFOAuth2Helper

## Overview

### Fields

| `FRedirectHost: ustring;`
| `FRedirectPort: integer;`
| `FAuthEndpoint: ustring;`
| `FTokenEndpoint: ustring;`
| `FClientID: ustring;`
| `FClientSecret: ustring;`
| `FAuthCode: ustring;`
| `FError: ustring;`
| `FErrorDescription: ustring;`
| `FCodeVerifier: ustring;`
| `FCodeChallenge: ustring;`
| `FScope: ustring;`
| `FAccessToken: ustring;`
| `FIDToken: ustring;`
| `FState: ustring;`
| `FIncState: ustring;`
| `FRefreshToken: ustring;`
| `FTokenExpiry: integer;`
| `FTokenType: ustring;`
| `FLoginHint: ustring;`
| `FChallengeMethod: TOAuthChallengeMethod;`

### Methods

| `function GetRedirectURI: ustring; virtual;`
| `function GetAuthCodeURI: ustring; virtual;`
| `function GetRefreshParams: ustring; virtual;`
| `function GetTokeExchangeParams: ustring; virtual;`
| `function GetValidState: boolean; virtual;`
| `procedure GenerateRandomCodeChallenge; virtual;`
| `procedure GenerateRandomState; virtual;`
| `function GenerateRandomString(aLength : cardinal) : ustring;`
| `procedure ParseQueryPair(const aPair : ustring);`
| `function ReadJSONString(const aDictionary : ICefDictionaryValue; const aKey : ustring) : ustring;`
| `function ReadJSONInteger(const aDictionary : ICefDictionaryValue; const aKey : ustring) : integer;`
| `function CalculateSHA256Hash(const aString : ustring) : TCefCustomByteArray;`
| `constructor Create;`
| `procedure Initialize; virtual;`
| `function ParseTokenExchangeResponse(const aResponse : ustring) : boolean; virtual;`
| `function ParseRefreshTokenResponse(const aResponse : ustring) : boolean; virtual;`
| `function ParseCodeRequestResponse(const aURL : ustring) : boolean; virtual;`

### Properties

| `property AuthEndpoint : ustring read FAuthEndpoint write FAuthEndpoint;`
| `property TokenEndpoint : ustring read FTokenEndpoint write FTokenEndpoint;`
| `property ClientID : ustring read FClientID write FClientID;`
| `property ClientSecret : ustring read FClientSecret write FClientSecret;`
| `property RedirectHost : ustring read FRedirectHost write FRedirectHost;`
| `property RedirectPort : integer read FRedirectPort write FRedirectPort;`
| `property ChallengeMethod : TOAuthChallengeMethod read FChallengeMethod write FChallengeMethod;`
| `property Scope : ustring read FScope write FScope;`
| `property Error : ustring read FError;`
| `property ErrorDescription : ustring read FErrorDescription;`
| `property AccessToken : ustring read FAccessToken;`
| `property IDToken : ustring read FIDToken;`
| `property RefreshToken : ustring read FRefreshToken;`
| `property TokenExpiry : integer read FTokenExpiry;`
| `property TokenType : ustring read FTokenType;`
| `property CodeVerifier : ustring read FCodeVerifier;`
| `property CodeChallenge : ustring read FCodeChallenge;`
| `property RedirectURI : ustring read GetRedirectURI;`
| `property AuthCodeURI : ustring read GetAuthCodeURI;`
| `property TokeExchangeParams : ustring read GetTokeExchangeParams;`
| `property RefreshParams : ustring read GetRefreshParams;`
| `property ValidState : boolean read GetValidState;`

## Description

### Fields

| `FRedirectHost: ustring;`
This item has no description.

| `FRedirectPort: integer;`
This item has no description.

| `FAuthEndpoint: ustring;`
This item has no description.

| `FTokenEndpoint: ustring;`
This item has no description.

| `FClientID: ustring;`
This item has no description.

| `FClientSecret: ustring;`
This item has no description.

| `FAuthCode: ustring;`
This item has no description.

| `FError: ustring;`
This item has no description.

| `FErrorDescription: ustring;`
This item has no description.

| `FCodeVerifier: ustring;`
This item has no description.

| `FCodeChallenge: ustring;`
This item has no description.

| `FScope: ustring;`
This item has no description.

| `FAccessToken: ustring;`
This item has no description.

| `FIDToken: ustring;`
This item has no description.

| `FState: ustring;`
This item has no description.

| `FIncState: ustring;`
This item has no description.

| `FRefreshToken: ustring;`
This item has no description.

| `FTokenExpiry: integer;`
This item has no description.

| `FTokenType: ustring;`
This item has no description.

| `FLoginHint: ustring;`
This item has no description.

| `FChallengeMethod: TOAuthChallengeMethod;`
This item has no description.

### Methods

| `function GetRedirectURI: ustring; virtual;`
This item has no description.

| `function GetAuthCodeURI: ustring; virtual;`
This item has no description.

| `function GetRefreshParams: ustring; virtual;`
This item has no description.

| `function GetTokeExchangeParams: ustring; virtual;`
This item has no description.

| `function GetValidState: boolean; virtual;`
This item has no description.

| `procedure GenerateRandomCodeChallenge; virtual;`
This item has no description.

| `procedure GenerateRandomState; virtual;`
This item has no description.

| `function GenerateRandomString(aLength : cardinal) : ustring;`
This item has no description.

| `procedure ParseQueryPair(const aPair : ustring);`
This item has no description.

| `function ReadJSONString(const aDictionary : ICefDictionaryValue; const aKey : ustring) : ustring;`
This item has no description.

| `function ReadJSONInteger(const aDictionary : ICefDictionaryValue; const aKey : ustring) : integer;`
This item has no description.

| `function CalculateSHA256Hash(const aString : ustring) : TCefCustomByteArray;`
This item has no description.

| `constructor Create;`
This item has no description.

| `procedure Initialize; virtual;`
This item has no description.

| `function ParseTokenExchangeResponse(const aResponse : ustring) : boolean; virtual;`
This item has no description.

| `function ParseRefreshTokenResponse(const aResponse : ustring) : boolean; virtual;`
This item has no description.

| `function ParseCodeRequestResponse(const aURL : ustring) : boolean; virtual;`
This item has no description.

### Properties

| `property AuthEndpoint : ustring read FAuthEndpoint write FAuthEndpoint;`
This item has no description.

| `property TokenEndpoint : ustring read FTokenEndpoint write FTokenEndpoint;`
This item has no description.

| `property ClientID : ustring read FClientID write FClientID;`
This item has no description.

| `property ClientSecret : ustring read FClientSecret write FClientSecret;`
This item has no description.

| `property RedirectHost : ustring read FRedirectHost write FRedirectHost;`
This item has no description.

| `property RedirectPort : integer read FRedirectPort write FRedirectPort;`
This item has no description.

| `property ChallengeMethod : TOAuthChallengeMethod read FChallengeMethod write FChallengeMethod;`
This item has no description.

| `property Scope : ustring read FScope write FScope;`
This item has no description.

| `property Error : ustring read FError;`
This item has no description.

| `property ErrorDescription : ustring read FErrorDescription;`
This item has no description.

| `property AccessToken : ustring read FAccessToken;`
This item has no description.

| `property IDToken : ustring read FIDToken;`
This item has no description.

| `property RefreshToken : ustring read FRefreshToken;`
This item has no description.

| `property TokenExpiry : integer read FTokenExpiry;`
This item has no description.

| `property TokenType : ustring read FTokenType;`
This item has no description.

| `property CodeVerifier : ustring read FCodeVerifier;`
This item has no description.

| `property CodeChallenge : ustring read FCodeChallenge;`
This item has no description.

| `property RedirectURI : ustring read GetRedirectURI;`
This item has no description.

| `property AuthCodeURI : ustring read GetAuthCodeURI;`
This item has no description.

| `property TokeExchangeParams : ustring read GetTokeExchangeParams;`
This item has no description.

| `property RefreshParams : ustring read GetRefreshParams;`
This item has no description.

| `property ValidState : boolean read GetValidState;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.